<ion-header>
  <ion-toolbar>
    <ion-title>login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form class="form" [formGroup]="validations_form" (ngSubmit)="loginUser(validations_form.value)">
    <ion-item>
      <ion-label position="floating" color="primary">Email</ion-label>
      <ion-input type="text" formControlName="email"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.email">
        <div class="error-message"
          *ngIf="validations_form.get('email').hasError(validation.type) && (validations_form.get('email').dirty || validations_form.get('email').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    <ion-item>
      <ion-label position="floating" color="primary">Password</ion-label>
      <ion-input type="password" formControlName="password" class="form-control" required></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.password">
        <div class="error-message"
          *ngIf="validations_form.get('password').hasError(validation.type) && (validations_form.get('password').dirty || validations_form.get('password').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    <ion-button class="submit-btn" type="submit" [disabled]="!validations_form.valid">Login</ion-button>
    <label class="error-message">{{errorMessage}}</label>
  </form>
  <p class="go-to-register">No Account yet? <a (click)="goToRegisterPage()">Create an account.</a></p>
</ion-content>
